MsWksGraphInternal::DataBitmap Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MsWksGraphInternal::DataBitmap Struct Referencefinal

Internal: the bitmap of a MsWksGraph. More...

Inheritance diagram for MsWksGraphInternal::DataBitmap:

## Public Member Functions
| DataBitmap (Zone const &z)
| constructor
| DataBitmap ()
| empty constructor
| ~DataBitmap () final
| destructor
Type | type () const final
| return the type
bool | getPictureData (MWAWInputStreamPtr ip, MWAWEmbeddedObject &picture, std::vector< MWAWColor > const &palette) const
| return a binary data (if known)
void | print (std::ostream &o) const final
| operator<<
Public Member Functions inherited from MsWksGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
Zone & | operator= (Zone const &)=default
Zone & | operator= (Zone &&)=default
virtual | ~Zone ()
| destructor
virtual Type | type () const
| return the type
virtual bool | getBinaryData (MWAWInputStreamPtr, MWAWEmbeddedObject &picture) const
| return a binary data (if known)
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed)
virtual void | fillFrame (MWAWGraphicStyle &) const
| add frame parameters to propList (if needed )
MWAWBox2f | getLocalBox (bool extendWithBord=true) const
| return the box
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const
virtual void | print (std::ostream &o) const
| the virtual print function

## Public Attributes
int | m_numRows
| the number of rows
int | m_numCols
| the number of columns
long | m_dataSize
| the bitmap data size
MWAWBox2f | m_naturalBox
| the pict box (if known )
Public Attributes inherited from MsWksGraphInternal::Zone
int | m_subType
| the type
int | m_zoneId
| the zone id
MWAWEntry | m_pos
| the file position
long | m_dataPos
| the data begin position
int | m_fileId
| the file id
long | m_ids [3]
| the zones id (main, previous, next)
int | m_page
| the page
MWAWBox2f | m_decal
| the local position
MWAWVec2f | m_finalDecal
| the final local position
MWAWBox2f | m_box
| local bdbox
int | m_line
| the line position(v1)
MsWksGraph::Style | m_style
| the style
int | m_order
| the picture order
std::string | m_extra
| extra data
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group)
bool | m_isSent
| true if the zone is send

## Additional Inherited Members
Public Types inherited from MsWksGraphInternal::Zone
enum | Type { Unknown , Shape , ChartZone , Group , Pict , Text , Textv4 , Bitmap , TableZone , OLE }

## Detailed Description

Internal: the bitmap of a MsWksGraph.

## Constructor & Destructor Documentation

## ◆ DataBitmap() [1/2]

MsWksGraphInternal::DataBitmap::DataBitmap | ( | Zone const & | z | ) |
| inlineexplicit

constructor

## ◆ DataBitmap() [2/2]

MsWksGraphInternal::DataBitmap::DataBitmap | ( |  | ) |
| inline

empty constructor

## ◆ ~DataBitmap()

MsWksGraphInternal::DataBitmap::~DataBitmap | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getPictureData()

bool MsWksGraphInternal::DataBitmap::getPictureData | ( | MWAWInputStreamPtr | ip,
|  | MWAWEmbeddedObject & | picture,
|  | std::vector< MWAWColor > const & | palette
| ) |  | const

return a binary data (if known)

## ◆ print()

void MsWksGraphInternal::DataBitmap::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

operator<<

Reimplemented from MsWksGraphInternal::Zone.

## ◆ type()

Type MsWksGraphInternal::DataBitmap::type | ( |  | ) | const
| inlinefinalvirtual

return the type

Reimplemented from MsWksGraphInternal::Zone.

## Member Data Documentation

## ◆ m_dataSize

long MsWksGraphInternal::DataBitmap::m_dataSize

the bitmap data size

Referenced by getPictureData(), and print().

## ◆ m_naturalBox

MWAWBox2f MsWksGraphInternal::DataBitmap::m_naturalBox
| mutable

the pict box (if known )

## ◆ m_numCols

int MsWksGraphInternal::DataBitmap::m_numCols

the number of columns

Referenced by getPictureData(), and print().

## ◆ m_numRows

int MsWksGraphInternal::DataBitmap::m_numRows

the number of rows

Referenced by getPictureData(), and print().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx